Skip to main content

Get Profit Details

Get profit sharing details grouped by follower.

HTTP Request

GET /api/v1/copy/mix-trader/profit-details

Request Parameters

ParameterTypeRequiredDescription
pageSizestringNoNumber of results per page. Default: 20, Max: 100
pageNostringNoPage number. Default: 1

Request Example

curl -X GET "https://open-api.bydoxe.com/api/v1/copy/mix-trader/profit-details?pageNo=1&pageSize=20" \
-H "ACCESS-KEY: your-api-key" \
-H "ACCESS-SIGN: your-signature" \
-H "ACCESS-PASSPHRASE: your-passphrase" \
-H "ACCESS-TIMESTAMP: 1659076670000" \
-H "Content-Type: application/json"

Response Parameters

ParameterTypeDescription
codestringResponse code
msgstringResponse message
requestTimenumberRequest timestamp in milliseconds
dataobjectResponse data
> profitListarrayList of profit details
>> profitstringTotal profit from this follower
>> followerUidstringFollower's user ID

Response Example

{
"code": "00000",
"msg": "success",
"requestTime": 1763459280000,
"data": {
"profitList": [
{
"profit": "150.12345678",
"followerUid": "100001"
}
]
}
}

Error Codes

CodeMessage
45002User not found
45003Not a copy trader
50000System error